﻿@model IEnumerable<CyberSport.Models.Carrito>

@{
    string total = "";
}
   
                @if (Model.Count() > 0)
                {
                    total = @Model.Sum(s => (s.PrecioUnitario * s.Cantidad)).ToString("N0");
                    <table class="table table-bordered table-hover table-condensed">
                        <thead>
                            <tr>
                                <th>Producto</th>
                                <th>Cantidad</th>
                                <th>Subtotal</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var prod in Model)
                            {
                                string subt = (prod.PrecioUnitario * prod.Cantidad).ToString("N0");
                                <tr>
                                    <td>@prod.NombreProducto</td>
                                    <td>@prod.Cantidad</td>
                                    <td>$@subt</td>
                                </tr>
                            }
                        </tbody>
                        <tfoot>
                            <tr>
                                <td colspan="2"><b>Total</b></td>
                                <td><b>$@total</b></td>
                            </tr>
                        </tfoot>
                    </table>
                    <span>@Html.Action("BotonPagar", "Carro")</span>
                }
                else
                {
                    total="0";
                    <br />
                    <div class="text-center"><h5>Su carro de compras está vacio!</h5></div>
                    <br />
                    <div class="clearfix"></div>
                }
<script>
    document.getElementById("totalCarro").innerHTML = "$@total";
</script>